﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.Misc;
using System.Diagnostics;

namespace _125841
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ValidationSettings set = new ValidationSettings(ultraValidator1, ultraTextEditor1);
            set.Condition = new MyCondition();
            set.ErrorAppearance.BackColor = Color.Red;
            set.DataType = typeof(string);
            set.ValidationPropertyName = "Text";
            set.IsRequired = !checkBox1.Checked;
            set.ValidationTrigger = ValidationTrigger.OnPropertyValueChanged;
            
            ultraValidator1.SetValidationSettings(ultraTextEditor1, set);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            
            ultraValidator1.Validate(ultraTextEditor1);
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            ValidationSettings set = ultraValidator1.GetValidationSettings(ultraTextEditor1);
            set.IsRequired = !checkBox1.Checked;
        }

        private void ultraValidator1_ValidationError(object sender, ValidationErrorEventArgs e)
        {
            Debug.WriteLine("ValidationError");
        }
    }
}
